Class: Aws::OpenSearchService::Types::DescribePackagesRequest
- Inherits:
-
Struct
- Object
- Struct
- Aws::OpenSearchService::Types::DescribePackagesRequest
- Defined in:
- gems/aws-sdk-opensearchservice/lib/aws-sdk-opensearchservice/types.rb
Overview
Container for the request parameters to the DescribePackage
operation.
Constant Summary collapse
- SENSITIVE =
[]
Instance Attribute Summary collapse
-
#filters ⇒ Array<Types::DescribePackagesFilter>
Only returns packages that match the
DescribePackagesFilterListvalues. -
#max_results ⇒ Integer
An optional parameter that specifies the maximum number of results to return.
-
#next_token ⇒ String
If your initial
DescribePackageFiltersoperation returns anextToken, you can include the returnednextTokenin subsequentDescribePackageFiltersoperations, which returns results in the next page.
Instance Attribute Details
#filters ⇒ Array<Types::DescribePackagesFilter>
Only returns packages that match the DescribePackagesFilterList
values.
3221 3222 3223 3224 3225 3226 3227 |
# File 'gems/aws-sdk-opensearchservice/lib/aws-sdk-opensearchservice/types.rb', line 3221 class DescribePackagesRequest < Struct.new( :filters, :max_results, :next_token) SENSITIVE = [] include Aws::Structure end |
#max_results ⇒ Integer
An optional parameter that specifies the maximum number of results
to return. You can use nextToken to get the next page of results.
3221 3222 3223 3224 3225 3226 3227 |
# File 'gems/aws-sdk-opensearchservice/lib/aws-sdk-opensearchservice/types.rb', line 3221 class DescribePackagesRequest < Struct.new( :filters, :max_results, :next_token) SENSITIVE = [] include Aws::Structure end |
#next_token ⇒ String
If your initial DescribePackageFilters operation returns a
nextToken, you can include the returned nextToken in subsequent
DescribePackageFilters operations, which returns results in the
next page.
3221 3222 3223 3224 3225 3226 3227 |
# File 'gems/aws-sdk-opensearchservice/lib/aws-sdk-opensearchservice/types.rb', line 3221 class DescribePackagesRequest < Struct.new( :filters, :max_results, :next_token) SENSITIVE = [] include Aws::Structure end |